> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/api-endpoints-or-v2.0/funding-api/address-book/manage-crypto-addresses.md).

# Manage Crypto Addresses

### Headers

All requests will require the following headers

| Name          | Type   | Description                                       |
| ------------- | ------ | ------------------------------------------------- |
| x-api-key\*   | String | <p><code>{{x-api-key}}</code><br>API Auth Key</p> |
| x-signature\* | String | Signature created using your API secret           |
| x-nonce\*     | String | Timestamp in millisecond                          |

## Add Crypto Address

Add a crypto address to your address book. This endpoint is used for adding the client's withdrawal address.

If enabled for the feature, it can also be used to add a source address (the origin address from where the funds are coming from). When a source address is designated, only funds originating from that specific address will be credited to the client.

<mark style="color:blue;">`POST`</mark> `https://api.aquanow.io/users/v2/addressBook`

### Payload

<table><thead><tr><th valign="top">Parmeter Name</th><th valign="top">Data Type</th><th valign="top">Required? </th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">currencyType</td><td valign="top">string</td><td valign="top">required</td><td valign="top">Must be “crypto”; specifies that this is a crypto address entry.</td></tr><tr><td valign="top">currency</td><td valign="top">string</td><td valign="top">optional</td><td valign="top">Crypto currency (e.g. “BTC”). If omitted, the address applies to all currencies supported on the specified network; </td></tr><tr><td valign="top">networkSymbol</td><td valign="top">string</td><td valign="top">required</td><td valign="top">Network identifier for the address </td></tr><tr><td valign="top">address</td><td valign="top">string</td><td valign="top">required</td><td valign="top">Destination/source address string. </td></tr><tr><td valign="top">addressTagMemo</td><td valign="top">string</td><td valign="top">optional</td><td valign="top">Tag/memo if supported by the network (e.g., destination tag for XRP, memo for XLM).</td></tr><tr><td valign="top">externalReferenceId</td><td valign="top">string</td><td valign="top">optional</td><td valign="top">Client-defined reference/alias for the saved address. </td></tr><tr><td valign="top">acceptTerms</td><td valign="top">boolean</td><td valign="top">required</td><td valign="top">Must be <strong>true</strong>; confirms legal and beneficial ownership/control. </td></tr><tr><td valign="top">addressType</td><td valign="top">array</td><td valign="top">required</td><td valign="top">Array of values: "sourceAddress", "withdrawalAddress". Indicates usage for incoming funds, withdrawals, or both.</td></tr><tr><td valign="top">walletType</td><td valign="top">string</td><td valign="top">required</td><td valign="top">One of: “SELF_HOSTED”, “VASP”, “OTHER_VASP”. Where the wallet is hosted.</td></tr><tr><td valign="top">vaspId</td><td valign="top">string</td><td valign="top">conditional</td><td valign="top">Required if walletType = “VASP”. <br><br>A valid <code>vaspId</code> can be retrieved from <br><a href="https://docs.aquanow.io/pay/api-endpoints/wallet-types-api">https://docs.aquanow.io/pay/api-endpoints/wallet-types-api</a><br></td></tr><tr><td valign="top">vaspName</td><td valign="top">string</td><td valign="top">conditional</td><td valign="top">Required if walletType = “OTHER_VASP”.</td></tr><tr><td valign="top">vaspWebsite</td><td valign="top">string</td><td valign="top">optional</td><td valign="top">Optional when walletType = “OTHER_VASP”.</td></tr></tbody></table>

### Example

```json
{
    "currencyType": "crypto",
    "networkSymbol": "SOL",
    "address": "DqCRL4hv2NRpcFrrGQop75L7Jm8AdVJAggQRiGPzaTWi",
    "acceptTerms": true,
    "addressType": [
        "sourceAddress",
        "withdrawalAddress"
    ],
    "walletType": "VASP",
    "vaspId": "0cadf55b-c1c4-44d9-a6cc-92eaac292d4c"
}
```

### Response

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "currency": "ALL",
    "networkSymbol": "SOL",
    "currencyType": "crypto",
    "externalReferenceId": null,
    "addressBookId": "243a527b-bedd-429a-8c24-ab5618ffc137",
    "addressType": [
        "SOURCE",
        "WITHDRAWAL"
    ],
    "status": "ACTIVE"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "message": "Unauthorized"
}
```

{% endtab %}

{% tab title="404: Bad Request" %}
When `acceptTerms: false`

{% code overflow="wrap" %}

```json
{
    "message": "Endpoint is only available for a trade client's own addresses. Please see payment products for management of third party addresses"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Delete Crypto Address

Delete a crypto address using the `addressBookId`

<mark style="color:blue;">`DELETE`</mark> `https://api.aquanow.io/users/v2/addressBook/{id}`

#### Path Parameters

| Name | Type   | Description                                       |
| ---- | ------ | ------------------------------------------------- |
| id\* | String | Unique identifier of the crypto address to delete |

### Response

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "addressBookId": "243a527b-bedd-429a-8c24-ab5618ffc137",
    "status": "INACTIVE",
    "updatedAt": "2025-11-20T18:46:34.886Z"
}
```

{% endtab %}

{% tab title="404: Not found" %}

```json
{
    "message": "Address with id 243a527b-bedd-429a-8c24-ab5618ffc1378 not found"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}

## Get Crypto Addresses

Fetch a list of all addresses matching the query parameters. If `currencyType` is not specified, it will fetch Bank Instructions and Crypto Addresses.&#x20;

### Query Parameters

<table><thead><tr><th valign="top">Parameter Name</th><th valign="top">Data Type</th><th valign="top">Required?</th></tr></thead><tbody><tr><td valign="top">currencyType</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">currency</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">network</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">address</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">addressTagMemo</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">addressType</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">externalReferenceId</td><td valign="top">string</td><td valign="top">optional</td></tr><tr><td valign="top">addressBookId</td><td valign="top">string</td><td valign="top">optional</td></tr></tbody></table>

### Examples

Filter by the unique identifier  `addressBookId`

<mark style="color:blue;">`GET`</mark>` ``https://api.aquanow.io/users/v2/addressBook??addressBookId={addressBookId}`

### Response

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "data": [
        {
            "addressBookId": "243a527b-bedd-429a-8c24-ab5618ffc137",
            "currency": "ALL",
            "networkSymbol": "SOL",
            "currencyType": "crypto",
            "address": "DqCRL4hv2NRpcFrrGQop75L7Jm8AdVJAggQRiGPzaTWi",
            "addressType": [
                "sourceAddress",
                "withdrawalAddress"
            ],
            "walletType": "VASP",
            "status": "ACTIVE",
            "vaspId": "0cadf55b-c1c4-44d9-a6cc-92eaac292d4c"
        }
    ]
}
```

{% endtab %}

{% tab title="404: Not found" %}

```json
{
    "message": "Address with id 243a527b-bedd-429a-8c24-ab5618ffc1378 not found"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}

**Filter by addressType**

<mark style="color:blue;">`GET`</mark>` ``https://api.aquanow.io/users/v2/addressBook?addressType=sourceAddress`

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "data": [
        {
            "addressBookId": "9c940443-9f86-45d1-bb76-0d411223b2a1",
            "currency": "ETH",
            "networkSymbol": "ETH",
            "currencyType": "crypto",
            "address": "0x00b8FE32107A15189eeFc9979D42B4aD5E2b4B31",
            "addressType": [
                "sourceAddress",
                "withdrawalAddress"
            ],
            "walletType": "SELF_HOSTED",
            "status": "ACTIVE"
        },
        {
            "addressBookId": "b6c64620-92be-4820-bb19-d31f41d56e68",
            "status": "PENDING",
            "currencyType": "fiat",
            "externalReferenceId": "INV-2025-1001",
            "currency": "USD",
            "beneficiaryType": "BUSINESS",
            "beneficiaryLegalName": "JULIEHUANG",
            "beneficiaryAddress": {
                "addressLine1": "123 Main St",
                "city": "New York",
                "region": "NY",
                "postalCode": "10001",
                "country": "US"
            },
            "beneficiaryBankName": "RBC",
            "beneficiaryBankAddress": {
                "addressLine1": "270 Park Ave",
                "city": "New York",
                "region": "NY",
                "postalCode": "10017",
                "country": "US"
            },
            "beneficiaryBankBic": "CHASUS33XXX",
            "routingCode": "026009593",
            "beneficiaryAccountNumber": "000123456789",
            "beneficiaryBankMemo": "Reference: AQN-123456",
            "intermediaryBankName": "The Bank of New York Mellon",
            "intermediaryBankAddress": {
                "addressLine1": "240 Greenwich St",
                "city": "New York",
                "region": "NY",
                "postalCode": "10286",
                "country": "US"
            },
            "intermediaryBankBic": "IRVTUS3NXXX",
            "intermediaryAccountNumber": "109876543210"
        }
    ]
}
```

{% endtab %}

{% tab title="400: Bad Request" %}

```json
{
    "message": "addressType must be equal to one of the allowed values"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}

**Filter by multiple query search parameters**

<mark style="color:blue;">`GET`</mark>` ``https://api.aquanow.io/users/v2/addressBook?addressType=sourceAddress&currency=ALL&networkSymbol=SOL`

{% tabs %}
{% tab title="200: OK" %}

```json
{
    "data": [
        {
            "addressBookId": "243a527b-bedd-429a-8c24-ab5618ffc137",
            "currency": "ALL",
            "networkSymbol": "SOL",
            "currencyType": "crypto",
            "address": "DqCRL4hv2NRpcFrrGQop75L7Jm8AdVJAggQRiGPzaTWi",
            "addressType": [
                "sourceAddress",
                "withdrawalAddress"
            ],
            "walletType": "VASP",
            "status": "ACTIVE",
            "vaspId": "0cadf55b-c1c4-44d9-a6cc-92eaac292d4c"
        }
    ]
}
```

{% endtab %}

{% tab title="400: Bad Request" %}

```json
{
    "message": "addressType must be equal to one of the allowed values"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}

Note: When querying by `currency` , it will also return addresses that support all currencies in that network. Some addresses returned will have `currency: ALL`\
**For example:** \ <mark style="color:blue;">`GET`</mark>` ``https://api.aquanow.io/users/v2/addressBook?addressType=sourceAddress&currency=ETH`

```json
{
    "data": [
        {
            "addressBookId": "29faf516-fa65-41aa-82f4-e27ad5972307",
            "currency": "ALL",
            "networkSymbol": "ETH",
            "currencyType": "crypto",
            "address": "0xad202e2ce23ede54162ef08a991a9bda873c181a",
            "addressType": [
                "sourceAddress",
                "withdrawalAddress"
            ],
            "walletType": "VASP",
            "status": "ACTIVE",
            "vaspId": "0cadf55b-c1c4-44d9-a6cc-92eaac292d4c"
        },
        {
            "addressBookId": "9c940443-9f86-45d1-bb76-0d411223b2a1",
            "currency": "ETH",
            "networkSymbol": "ETH",
            "currencyType": "crypto",
            "address": "0x00b8FE32107A15189eeFc9979D42B4aD5E2b4B31",
            "addressType": [
                "sourceAddress",
                "withdrawalAddress"
            ],
            "walletType": "SELF_HOSTED",
            "status": "ACTIVE"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/api-endpoints-or-v2.0/funding-api/address-book/manage-crypto-addresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
